{
  "name": "portfolio",
  "version": "1.0.0",
  "description": "",
  "author": "Ava Gaiety W. <ava@wroten.me> (https://www.gaiety.me/)",
  "main": "index.js",
  "scripts": {
    "start": "npx postcss styles.css -o _site/styles.css --watch",
    "start:site": "npx @11ty/eleventy --serve",
    "build": "npx @11ty/eleventy",
    "postbuild": "npm run postbuild:styles && npm run postbuild:highlighttheme",
    "postbuild:highlighttheme": "cp ./node_modules/@catppuccin/highlightjs/css/catppuccin.variables.css ./_site",
    "postbuild:styles": "npx tailwindcss -i styles.css -o _site/styles.css --env production",
    "test": "echo \"Error: no test specified\" && exit 1",
    "deploy": "docker compose up --build -d"
  },
  "repository": {
    "type": "git",
    "url": "git+git@git.gay:gaiety/portfolio.git"
  },
  "license": "ISC",
  "bugs": {
    "url": "https://git.gay/gaiety/portfolio/issues"
  },
  "homepage": "https://git.gay/gaiety/portfolio/src/branch/main/README.md",
  "devDependencies": {
    "@11ty/eleventy": "^2.0.1",
    "@11ty/eleventy-plugin-syntaxhighlight": "^3.1.3",
    "@catppuccin/highlightjs": "^0.1.4",
    "@catppuccin/tailwindcss": "^0.1.6",
    "autoprefixer": "^10.3.7",
    "cssnano": "^5.0.8",
    "dayjs": "^1.11.10",
    "highlight.js": "^11.9.0",
    "highlightjs-glimmer": "^2.2.1",
    "install": "^0.13.0",
    "npm": "^10.5.0",
    "postcss": "^8.3.11",
    "postcss-cli": "^9.0.1",
    "tailwindcss": "^3.4.1"
  },
  "dependencies": {
    "@toycode/markdown-it-class": "^1.2.4"
  }
}
